sc::DenFunctional(3)

NAME
sc::DenFunctional -

An abstract base class for density functionals.

SYNOPSIS

#include <functional.h>

Inherits sc::SavableState.

Inherited by sc::Becke88XFunctional, sc::G96XFunctional, sc::LSDACFunctional, sc::LYPCFunctional, sc::mPW91XFunctional, sc::NElFunctional, sc::NewP86CFunctional, sc::P86CFunctional, sc::PBECFunctional, sc::PBEXFunctional, sc::PW86XFunctional, sc::PW91CFunctional, sc::PW91XFunctional, sc::SlaterXFunctional, sc::SumDenFunctional, and sc::XalphaFunctional.

  Public Member Functions
DenFunctional (const Ref< KeyVal > &)
DenFunctional (StateIn &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
virtual void set_spin_polarized (int i)
virtual void set_compute_potential (int i)
virtual int need_density_gradient ()
virtual int need_density_hessian ()
virtual void point (const PointInputData &, PointOutputData &)=0
void gradient (const PointInputData &, PointOutputData &, double *gradient, int acenter, GaussianBasisSet *basis, const double *dmat_a, const double *dmat_b, int ncontrib, const int *contrib, int ncontrib_bf, const int *contrib_bf, const double *bs_values, const double *bsg_values, const double *bsh_values)
virtual double a0 () const
Returns the fraction of Hartee-Fock exchange to be included.
void fd_point (const PointInputData &, PointOutputData &)
int test (const PointInputData &)
int test ()

  Protected Member Functions
void do_fd_point (PointInputData &id, double &in, double &out, double lower_bound, double upper_bound)

  Protected Attributes
int spin_polarized_
int compute_potential_
double a0_

Detailed Description

An abstract base class for density functionals.

Member Function Documentation

  void sc::DenFunctional::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

Reimplemented in sc::NElFunctional, sc::SumDenFunctional, sc::StdDenFunctional, sc::LSDACFunctional, sc::PBECFunctional, sc::PW91CFunctional, sc::P86CFunctional, sc::NewP86CFunctional, sc::SlaterXFunctional, sc::VWNLCFunctional, sc::VWN1LCFunctional, sc::VWN2LCFunctional, sc::VWN3LCFunctional, sc::VWN4LCFunctional, sc::VWN5LCFunctional, sc::PW92LCFunctional, sc::PZ81LCFunctional, sc::XalphaFunctional, sc::Becke88XFunctional, sc::LYPCFunctional, sc::PW86XFunctional, sc::PBEXFunctional, sc::PW91XFunctional, sc::mPW91XFunctional, and sc::G96XFunctional.

Author

Generated automatically by Doxygen for MPQC from the source code.